unit UTranspChart;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, jpeg, TeeSurfa,
  TeeMapSeries, Series, ImaPoint, TeCanvas, TeeGDIPlus;


type
  TForm1 = class(TForm)
    Image1: TImage;
    Chart1: TChart;
    Series1: TFastLineSeries;
    procedure FormCreate(Sender: TObject);
    procedure Chart1BeforeDrawChart(Sender: TObject);
  private
    { Private declarations }
    Back : TBitmap;
  public
    { Public declarations }
  end;

var
  Form1             : TForm1;
implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.Color:=clNone;

  Chart1.Walls.Back.Visible:=False;
  Series1.FillSampleValues;
end;

procedure TForm1.Chart1BeforeDrawChart(Sender: TObject);
begin
  if not Assigned(Back) then
  begin
    Back:=TBitmap.Create;
    Back.Width:=Chart1.Width;
    Back.Height:=Chart1.Height;

    Back.Canvas.CopyRect(Chart1.ClientRect,Canvas,Chart1.BoundsRect);
  end;

  if Chart1.Color=clNone then
     Chart1.Canvas.Draw(0,0,Back);
end;

end.
